Last Comment Bug 372377 - Fragment identifiers confuse SVG/xlink relative URI processing
: Fragment identifiers confuse SVG/xlink relative URI processing
Status: RESOLVED WORKSFORME
:
Product: Core
Classification: Components
Component: SVG (show other bugs)
: 1.8 Branch
: x86 All
: -- normal (vote)
: ---
Assigned To: General SVG Bugs
: Hixie (not reading bugmail)
Mentors:
http://www.intertwingly.net/blog/2007...
Depends on: 372391
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-02 05:13 PST by Sam Ruby
Modified: 2007-11-26 09:07 PST (History)
7 users (show)
sayrer: in‑testsuite?
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Sam Ruby 2007-03-02 05:13:29 PST
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.2) Gecko/20060601 Firefox/2.0.0.2 (Ubuntu-edgy)
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.2) Gecko/20060601 Firefox/2.0.0.2 (Ubuntu-edgy)

The URL listed above should render identically with or without the fragment identifier, but in fact if any fragment identifier is present, constructs such as fill="url(#pyBlue)" don't resolve.

Another example, this time using xlink, is provided in the "Steps to Reproduce" section.

Reproducible: Always

Steps to Reproduce:
1. Visit 
http://www.intertwingly.net/blog/2007/02/05/Show-Me#unknown

Actual Results:  
Only the outline of the image appears

Expected Results:  
To see the expected results, remove "#unknown" from the URI in step 1.  The image should be filled in with a radialGradient.
Comment 1 Robert Sayre 2007-03-02 05:23:00 PST
On OS X, I can reproduce this on the branch, but not on the trunk.
Comment 2 Sam Ruby 2007-03-02 06:28:03 PST
Nor does the problem manifest itself on the 02-Mar-2007 version of firefox-3.0a3pre.en-US.linux-i686.tar.bz2.

As this bug is not a priority, it should summarily be closed.
Comment 3 Robert Sayre 2007-03-02 06:36:22 PST
(In reply to comment #2)
> 
> As this bug is not a priority, it should summarily be closed.

It would be nice to find out what fixed this, and see if it is low-risk enough to ship in an update to Firefox 2. (which is cut from the 1.8 branch)

Comment 4 Robert Sayre 2007-03-02 06:42:05 PST
marking in-testsuite?, as we still need to get this in reftest
Comment 5 Martijn Wargers [:mwargers] (not working for Mozilla) 2007-03-02 06:48:20 PST
This was fixed between the 2005-10-17 and 2005-10-19 builds:
http://bonsai.mozilla.org/cvsquery.cgi?treeid=default&module=all&branch=HEAD&branchtype=match&dir=&file=&filetype=match&who=&whotype=match&sortby=Date&hours=2&date=explicit&mindate=2005-10-17+04&maxdate=2005-10-19+07&cvsroot=%2Fcvsroot
My guess is that this was fixed by 309020.

Note You need to log in before you can comment on or make changes to this bug.